/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/


using FairyGUI;
using FairyGUI.Utils;
using NBC;

namespace NBF
{
    public partial class NoticeItem
    {
        public const string URL = "ui://6hgkvlaur03uj7";

        public Controller style;
        public GImage box;
        public GTextField TextTitle;
        public GTextField TextContent;
        public GLoader icon;
        public GButton BtnClose;

        public override void ConstructFromXML(XML xml)
        {
            base.ConstructFromXML(xml);

            style = GetController("style");
            box = (GImage)GetChild("box");
            TextTitle = (GTextField)GetChild("TextTitle");
            TextContent = (GTextField)GetChild("TextContent");
            icon = (GLoader)GetChild("icon");
            BtnClose = (GButton)GetChild("BtnClose");
            OnInited();
            UILanguage.TrySetComponentLanguage(this);
        }
    }
}